{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "_layout.html.twig" %}
{% import '_includes/macros.html.twig' as appMacros %}
{% set _breadcrumb = [['Flux en production','flux.production'],[flux.name,'flux.detail',{id:flux.id}], "Créer un nouveau jeu de règles"] %}

{% block javascripts %}
    <script>
        angular.module('ruleset-wizard')
            .constant('config', {
                processFileUrl: "{{ path('flux.ruleset.process_file', {id: flux.id}) }}",
                xpathSchemaUrl: "{{ path('api.xpath_schema', {flux_id: flux.id}) }}",
                xpathSourceUrl: "{{ path('api.expr_raw_extract', {flux_id: flux.id}) }}",
                typeChoices: {{ typeChoices|json_encode|raw }},
                thesaurusValues: {{ thesaurusValues|json_encode|raw }}
            })
            .config(function(extractPreviewEndpointProvider) {
                extractPreviewEndpointProvider.setUrl("{{ path('api.expr_preview', {flux_id: flux.id, source: 'raw'}) }}");
            }
        )
    </script>
{% endblock %}

{% block content %}
    <div ng-app="ruleset-wizard">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                {{ flux.name }}
                <small>Préparation d'un jeu de règles d'alignement</small>
            </h1>
        </section>
        <div ui-view>
            <div class="blankslate blankslate-xspacious blankslate-spinner">
                <h4>Chargement de l'assistant en cours...</h4>
            </div>
        </div>
    </div>
{% endblock %}